eeprom(8)

NAME
eeprom - reads and writes 24Cxx EEPROMs connected to I2C serial bus

SYNOPSIS
eeprom [-d dev] [-a addr] [-p pgs] [-w] [-y] [-f file]

DESCRIPTION
eeprom can be used for reading from / writing to I2C EEPROMs like the popular 24C16, 24C08, 24C04, etc. In contrast to eeprommer which supports 24C256-type EEPROMs, this tool works with 1-byte addresses!

NOTES
Don't forget to load your i2c chipset and the i2c-dev drivers.

Pages/addresses:
    EEPROMs with more than 256 bytes appear as if they
    were several EEPROMs with consecutive addresses on the bus
    so we might as well address several separate EEPROMs with
    increasing addresses

PARAMETERS

dev device (default /dev/i2c-0)

addr
    base address of EEPROM (default 0xA0)

pgs number of pages to read (default 8)

-w  write to EEPROM (default is reading!)

-y  suppress warning when writing (default is to warn!)

-f file
    copy EEPROM contents to/from file (default for read is test only; for write is all zeros)

SEE ALSO
eeprog(8), eepromer(8)

AUTHOR
Christian Vogel